;;; -*- Mode:LISP; Package:ALCHEMY; Base:10; Syntax:Common-Lisp; Readtable:CL -*-

(provide 'alchemy)
(in-package 'alchemy)
(export '(lead-to-gold gold-to-lead))

(require 'phlogiston)

(import '(phlogiston:make-fire-bottle))

(defun lead-to-gold(x)
  (when (> (phlogiston:heat-flow x) 3)
    (make-fire-bottle x))
  (gold x))

(defun gold(x)
  (/ x 20.0))

(defun gold-to-lead(x)
  (lead x))

(defun lead(x)
  (* x 20.0))


